html {
}

body {
    font-family: "Segoe UI", "Helvetica Neue", "Helvetica", "Arial", "sans-serif";
    font-size: 14px;
}

thead {
  font-weight: bold;
}

.uppercase {
    text-transform: uppercase;
}

.lowercase {
    text-transform: lowercase;
}

/* Pied de page */

.footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  background-color: #f5f5f5;
}

.container .text-muted {
  margin: 10px 0;
}

.no-margin {
  margin: 0px;
}

.modal-footer {
  margin: 0px;  /* .modal-body a déjà un padding, ça devrait être suffisant */
}

.pagination {
  margin: 0px;
}

/* Notifications */

#ws-notif-error-technical-details {
  margin-top: 14px;
}

/* Menu principal */

#ws-menu {
  margin-bottom: 0px;
  border-radius: 0px;
  position: relative;
  z-index: 1040;
}

/* Jumbotron (titre, description et icône de l'application) */

#ws-app-description {
  position: relative;
  margin: 0;
  background-image: url("/img/pattern-white.157074.png");
}

#ws-app-description .container {
  position: relative;
}

#ws-app-icon img {
  height: 96px;
  width: 96px;
}

@media (min-width:768px) {
  #ws-app-icon img {
    height: 128px;
    width: 128px;
  }
}

.jumbo-icon {
  width:auto!important;
  height:auto!important;
  padding:20px!important;
  margin:30px -30px -31px!important;
  overflow:hidden;
  font-size:13px!important;
  line-height:16px!important;
  text-align:left;
  background:transparent!important;
}

@media (min-width:480px){
  .jumbo-icon{
    /*width:330px!important;*/
    margin:20px auto!important;
  }
}

@media (min-width:768px){
  .jumbo-icon{
    margin-right:0!important;
    margin-left:0!important
  }
}

@media (min-width:992px){
  .jumbo-icon{
    position:absolute;
    top:0;
    right:15px;
    padding:15px!important;
    margin:0!important
  }
}

/* Barre d'outils de l'application juste en dessous de la description de l'application */

#ws-app-toolbar {
  position: relative;
  z-index: 1039;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.15);
}

#ws-app-toolbar.affix {
  position: fixed;
  top: 0px;
  width: 100%;
  box-shadow: 0px 0px 5px rgb(51, 51, 51);
}

/* Sections */

section {
  padding-bottom: 50px;
}

section:nth-of-type(odd) {
  z-index: 1;
}

section:nth-of-type(even) {
  z-index: 2;
  background-image: url("/img/pattern-white.157074.png");
  -o-box-shadow: 0 0 10px rgba(160,160,160,0.75);
  -moz-box-shadow: 0 0 10px rgba(160,160,160,0.75);
  box-shadow: 0 0 10px rgba(160,160,160,0.75);
}

section .title {
  text-align: right!important;
  text-transform: uppercase;
  font-weight: bold;
  color: rgb(141, 150, 170);
  font-size: 32px;
}

section span.border {
  width: 100%;
  height: 1px;
  /*text-decoration: none;*/
  display: inline-block;
  margin-top: 10px;
  margin-bottom: 10px;
}

/* Evite que la page saute à cause de l'affix */

.ws-app-toolbar-wrapper {
  min-height: 50px;
}

.ws-app-ajax-indicator-wrapper {
  min-width: 50px;
}

/* Retour en haut de la page */

.ws-back-to-top {
  display: block;
  margin: 20px;
}

/* Boutons en forme de cercle */

.btn-circle {
  width: 30px;
  height: 30px;
  text-align: center;
  padding: 6px 0;
  font-size: 12px;
  line-height: 1.428571429;
  border-radius: 15px;
}

.btn-circle.btn-lg {
  width: 50px;
  height: 50px;
  padding: 10px 16px;
  font-size: 18px;
  line-height: 1.33;
  border-radius: 25px;
}

.btn-circle.btn-xl {
  width: 70px;
  height: 70px;
  padding: 10px 16px;
  font-size: 24px;
  line-height: 1.33;
  border-radius: 35px;
}

/* Il faut déplacer les ancres des titres car la barre d'outils les cache */

.anchor-translated {
  padding-top: 50px;
  margin-top: -10px;
  position: relative;
  /*z-index: -1;*/
}

/* Typeahead (3rdParty) */

.tt-query,
.tt-hint {
  border: 2px solid #ccc;
     -moz-border-radius: 8px;
          border-radius: 8px;
  outline: none;
}

.tt-query {
     -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
          box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
}

.tt-hint {
  color: #999
}

.tt-dropdown-menu {
  width: 422px;
  margin-top: 12px;
  padding: 8px 0;
  background-color: #fff;
  border: 1px solid #ccc;
  border: 1px solid rgba(0, 0, 0, 0.2);
     -moz-border-radius: 8px;
          border-radius: 8px;
     -moz-box-shadow: 0 5px 10px rgba(0,0,0,.2);
          box-shadow: 0 5px 10px rgba(0,0,0,.2);
  max-height: 200px;
  overflow-y: auto;
}

.tt-suggestion {
  padding: 3px 20px;
  font-size: 18px;
  line-height: 24px;
}

.tt-suggestion.tt-cursor {
  color: #fff;
  background-color: #0097cf;

}

.tt-suggestion p {
  margin: 0;
}

.twitter-typeahead {
  width:100%
}

/* bootstrap-filestyle (3rdParty) */

.group-span-filestyle .badge {
  display: none;
}

tr.selectedAccessRow td:first-of-type,
tr.selectedVisitorRow td:first-of-type {
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

tr.selectedAccessRow td:last-of-type,
tr.selectedVisitorRow td:last-of-type {
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
}

tr.selectedEntitiesRow td:first-of-type,
tr.selectedVisitorRow td:first-of-type {
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

tr.selectedEntitiesRow td:last-of-type,
tr.selectedVisitorRow td:last-of-type {
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
}

.datetimepicker {
  min-width: 170px;
}

.datetimepicker.hastime {
  min-width: 220px;
}

h1.mandatory:after, h2.mandatory:after, h3.mandatory:after, h4.mandatory:after, label.mandatory:after {
  content: '*';
  display: inline-block;
}

.showSort:after {
  position: relative;
  top: 1px;
  display: inline-block;
  font-family: 'Glyphicons Halflings';
  font-style: normal;
  font-weight: normal;
  line-height: 1;
  left: 5px;

   -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.showSort.sortAsc:after {
  content: "\e113";
}

.showSort.sortDesc:after {
  content: "\e114";
}

.typeahead-empty-template {
  padding: 6px 12px;
  font-size: 14px;
  font-weight: normal;
  line-height: 1;
  color: #555;
  text-align: center;
  background-color: #eee;
  border: 1px solid #ccc;
  border-radius: 4px;
  margin-left: 8px;
  margin-right: 8px;
}

.typeahead-norights-template {
  padding: 6px 12px;
  font-size: 14px;
  font-weight: normal;
  line-height: 1;
  color: #eee;
  text-align: center;
  background-color: #000;
  border-radius: 4px;
  margin-top: 8px;
  margin-left: 8px;
  margin-right: 8px;
}

.modal-link {
  color: inherit !important;
}

td .has-feedback .form-control-feedback {
    position: absolute;
    top: 0px;
    right: 0px;
}

tr.danger:not(.selectedVisitorRow) {
  color: #a94442 !important;
}

tr.warning:not(.selectedVisitorRow) {
  color: #8a6d3b !important;
}

tr.danger.selectedVisitorRow td {
  background-image: -webkit-linear-gradient(top, #be636a 0%, #a94442 100%) !important;
  background-image:      -o-linear-gradient(top, #be636a 0%, #a94442 100%) !important;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#be636a), to(#a94442)) !important;
  background-image:         linear-gradient(to bottom, #be636a 0%, #a94442 100%) !important;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffbe636a', endColorstr='#ffa94442', GradientType=0) !important;
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false) !important;
  background-repeat: repeat-x !important;
}

tr.warning.selectedVisitorRow td {
  background-color: #8a6d3b !important;
  background-image: -webkit-linear-gradient(top, #9f8c63 0%, #8a6d3b 100%) !important;
  background-image:      -o-linear-gradient(top, #9f8c63 0%, #8a6d3b 100%) !important;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#9f8c63), to(#8a6d3b)) !important;
  background-image:         linear-gradient(to bottom, #9f8c63 0%, #8a6d3b 100%) !important;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff9f8c63', endColorstr='#ff8a6d3b', GradientType=0) !important;
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false) !important;
  background-repeat: repeat-x !important;
}

.panel-heading.danger {
  color: #a94442 !important;
}

.panel-heading.warning {
  color: #8a6d3b !important;
}

.tooltip {
  z-index: 1038;
}

/* Force les tables responsive à être scrollables même si le device fait plus de 768px de large */
.table-responsive {
    overflow-x: auto;
}

ul.navbar-nav ul.dropdown-menu li a {
    padding-top: 12px !important;
    padding-bottom: 12px !important;
}

select.page-size-select {
    min-width: 4em;
    margin: 0px !important;
}

.placeholder {
    color: #aaa;
}

.access-tool-bar-element {
  margin-bottom:8px;
  margin-left:16px;
}

.operator-dropdown-menu {
  min-width: 200px;
}

a.operator-dropdown-toggle {
  padding-top: 9px !important;
  padding-bottom: 9px !important;
}

/*Pour contourner le soucis avec les popups des SELECT dans un inputgroup qui apparaissent en dessous des INPUT placés plus bas dans les modales*/
.modal .input-group .bootstrap-select {
  z-index: inherit !important;
}

.mirror {
  transform: scale(-1, 1);
}

.hidden-takes-space {
  visibility: hidden;
}

td.col-buttons {
    white-space: nowrap;
}

.row-buttons button {
    margin-left: 10px;
}

.form-static-value {
    color: #555;
    font-size: 14px;
    height: 34px;
    line-height: 1.42857;
    padding: 6px 0px;
    transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
    width: 100%;
}

.select-auto-width {
    width: auto;
}

.local-text-date {
    text-transform: capitalize;
}

.ws-rows-some .ws-data_entry > td {
    vertical-align: middle;
}

.ws-rows-some .ws-data_entry .form-group {
    margin-bottom: 0px;
}

.ws-rows-some .ws-data_entry .form-control {
    margin-bottom: 5px;
    margin-top: 5px;
}

.alert-mini {
  padding: 6px; /* réduit la taille d'une alerte bootstrap */
  display: inline-block;  
}

.message-info {
    background-color: #d9edf7;
    border-radius: 4px;
    color: #31708f;
    font-size: 90%;
    padding: 4px 6px;
    margin-bottom: 4px;
}

/* Tableau des identifiants : affichage ou non des colones en fonction de la résolution */

#ws-credentials-section .ws-rows-some .datetimepicker {
    width: 170px;
}

#ws-credentials-section .ws-rows-some tbody .col-code {
    width: auto;
    min-width: 150px;
}

#ws-credentials-section .ws-rows-some tbody .col-graphicalReference {
    width: auto;
    min-width: 150px;
}

#ws-credentials-section .ws-rows-some .col-validityStartDate,
#ws-credentials-section .ws-rows-some .col-validityEndDate,
#ws-credentials-section .ws-rows-some .col-graphicalReference
{
    display: none;
}

@media (min-width:768px){
    #ws-credentials-section .ws-rows-some .col-validityEndDate
    {
        display: table-cell;
    }
}

@media (min-width:1200px){
    #ws-credentials-section .ws-rows-some .col-validityStartDate,
    #ws-credentials-section .ws-rows-some .col-graphicalReference
    {
        display: table-cell;
    }
}

.masked {
    opacity: 0 !important;
}